From d7af8174e1ca3c6842983ac9e406ff268e92976f Mon Sep 17 00:00:00 2001
From: Jose Raul Barreras <barreras@unl.edu>
Date: Thu, 12 Sep 2019 17:20:34 -0500
Subject: [PATCH] add php-lint tester

no-ci
---
 t/php-lint/tests.sh | 8 ++++++++
 1 file changed, 8 insertions(+)
 create mode 100755 t/php-lint/tests.sh

diff --git a/t/php-lint/tests.sh b/t/php-lint/tests.sh
new file mode 100755
index 0000000..5c1da2e
--- /dev/null
+++ b/t/php-lint/tests.sh
@@ -0,0 +1,8 @@
+TMP_DIR=`mktemp -d`
+chmod 777 ${TMP_DIR}
+touch "${TMP_DIR}/dumb php file with spaces.php"
+touch "${TMP_DIR}/ddumb_php_file_without_spaces.php"
+touch  "${TMP_DIR}/$(printf '\u03c0').php"
+docker run -it --rm -v "${TMP_DIR}:/work"  its-registry.unl.edu/unl-its/docker-ci/php-lint:latest php-lint -d /work
+echo $?
+
-- 
GitLab